org.encog.ml.data.market

## Class MarketDataDescription

- java.lang.Object
- - org.encog.ml.data.temporal.TemporalDataDescription
  - - org.encog.ml.data.market.MarketDataDescription

-     public class MarketDataDescription
      extends TemporalDataDescription

  This class is used to describe the type of financial data that is needed. Each piece of data can be used for input, prediction or both. If used for input, it will be used as data to help predict. If used for prediction, it will be one of the values predicted. It is possible, and quite common, to use data from both input and prediction.
  Author:
    jheaton

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.encog.ml.data.temporal.TemporalDataDescription

      `TemporalDataDescription.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarketDataDescription(TickerSymbol ticker, MarketDataType dataType, boolean input, boolean predict)` Construct a MarketDataDescription item.
    `MarketDataDescription(TickerSymbol ticker, MarketDataType dataType, TemporalDataDescription.Type type, ActivationFunction activationFunction, boolean input, boolean predict)` Construct a MarketDataDescription item.
    `MarketDataDescription(TickerSymbol ticker, MarketDataType dataType, TemporalDataDescription.Type type, boolean input, boolean predict)` Construct a MarketDataDescription item.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MarketDataType` | `getDataType()`
    `TickerSymbol` | `getTicker()`

    - ### Methods inherited from class org.encog.ml.data.temporal.TemporalDataDescription

      `getActivationFunction, getHigh, getIndex, getLow, getType, isInput, isPredict, setIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarketDataDescription

          public MarketDataDescription(TickerSymbol ticker,
                               MarketDataType dataType,
                               TemporalDataDescription.Type type,
                               ActivationFunction activationFunction,
                               boolean input,
                               boolean predict)

      Construct a MarketDataDescription item.
      Parameters:
        `ticker` - The ticker symbol to use.
        `dataType` - The data type needed.
        `type` - The normalization type.
        `activationFunction` - The activation function to apply to this data, can be null.
        `input` - Is this field used for input?
        `predict` - Is this field used for prediction?

    - #### MarketDataDescription

          public MarketDataDescription(TickerSymbol ticker,
                               MarketDataType dataType,
                               TemporalDataDescription.Type type,
                               boolean input,
                               boolean predict)

      Construct a MarketDataDescription item.
      Parameters:
        `ticker` - The ticker symbol to use.
        `dataType` - The data type needed.
        `type` - The normalization type.
        `input` - Is this field used for input?
        `predict` - Is this field used for prediction?

    - #### MarketDataDescription

          public MarketDataDescription(TickerSymbol ticker,
                               MarketDataType dataType,
                               boolean input,
                               boolean predict)

      Construct a MarketDataDescription item.
      Parameters:
        `ticker` - The ticker symbol to use.
        `dataType` - The data type needed.
        `input` - Is this field used for input?
        `predict` - Is this field used for prediction?

  - ### Method Detail

    - #### getDataType

          public MarketDataType getDataType()

      Returns:
        the dataType

    - #### getTicker

          public TickerSymbol getTicker()

      Returns:
        the ticker

Copyright © 2014. All Rights Reserved.